## view.xhtml
Class HtmlObject

    java.lang.Object
      view.xhtml.HtmlObject

Direct Known Subclasses:
  HtmlElement, RawText

    public abstract class HtmlObject

extends java.lang.Object

Constructor Summary
`HtmlObject()`

Method Summary
`abstract java.lang.String` `getHtml()` Returns the object's HTML source code.
`java.lang.String` `getHtml(int indent_width)` As above but with no root level indentation.
`abstract java.lang.String` `getHtml(int indent_level, int indent_width)` Returns the object's HTML source code with indentation.
`protected static java.lang.String` `getIndent(int width)` Returns a String of spaces.
`java.lang.String` `toString()` Returns the HTML source code (without indendation).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HtmlObject

    public HtmlObject()

Method Detail

### getHtml

    public abstract java.lang.String getHtml()

  Returns the object's HTML source code.

### getHtml

    public abstract java.lang.String getHtml(int indent_level,
                                             int indent_width)

  Returns the object's HTML source code with indentation. The indentation specified is applied recursively to inner elements.

  Parameters:
    `indent_level` - the indentation level used at the root level
    `indent_width` - ... for inner elements

### getHtml

    public final java.lang.String getHtml(int indent_width)

  As above but with no root level indentation.

  Parameters:
    `indent_width` - as above

### getIndent

    protected static java.lang.String getIndent(int width)

  Returns a String of spaces.

  Parameters:
    `width` - the length of the string

### toString

    public final java.lang.String toString()

  Returns the HTML source code (without indendation).

  Overrides:
    `toString` in class `java.lang.Object`